Foxit PDF SDK

Instance Methods | List of all members
FSComparison Class Reference
Inheritance diagram for FSComparison:

## Instance Methods
(FSCompareResults *) | - doCompare:compared_page_index:compare_flags:
| Compare a PDF page of base document with a PDF page in compared document. "base document" and "compared document" means the PDF documents objects that are used to construct current object. More...
(FSPDFDoc *) | - generateComparedDoc:
| Compare the base document with the compared document (which are used to construct current object) and then generate a PDF document as the comparison result. More...
(FSPDFDoc *) | - GenerateComparedDocWithIsShowAllLayers:is_show_all_layers:
| Compare the base document with the compared document (which are used to construct current object) and then generate a PDF document as the comparison result. More...
(id) | - initWithBase_doc:compared_doc:
| Constructor, from PDF document object. More...
(id) | - initWithOther:
| Constructor, with another comparison object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

This class can be used to compare one PDF file (as "base document") with another PDF file (as "compared document") page by page.

## Method Documentation

## ◆ doCompare:compared_page_index:compare_flags:()

- (FSCompareResults *) doCompare: |  | (int) | base_page_index
compared_page_index: |  | (int) | compared_page_index
compare_flags: |  | (unsigned int) | compare_flags

Compare a PDF page of base document with a PDF page in compared document. "base document" and "compared document" means the PDF documents objects that are used to construct current object.

Parameters

  [in] | base_page_index | Page index in base document. Valid range: from 0 to (base_page_count-1). base_page_count is returned by function FSPDFDoc::getPageCount for base document.
  [in] | compared_page_index | Page index in compared document. Valid range: from 0 to (compared_page_count-1). compared_page_count is returned by function FSPDFDoc::getPageCount for compared document.
  [in] | compare_flags | Compare type which specifies what to be compared in PDF pages. Please refer to values starting from FSComparisonCompareTypeAll and this can be one or combination of some of these values.

Returns
  A FSCompareResults object.

## ◆ generateComparedDoc:()

- (FSPDFDoc *) generateComparedDoc: |  | (unsigned int) | compare_flags |

Compare the base document with the compared document (which are used to construct current object) and then generate a PDF document as the comparison result.

Comparing the contents of two PDF documents and generating a new PDF document can take a long time.

Parameters

  [in] | compare_flags | Compare type which specifies what to be compared in PDF pages. Please refer to values starting from FSComparisonCompareTypeAll and this can be one or a combination of these values.

Returns
  A FSPDFDoc object which represents the output comparison PDF document.

## ◆ GenerateComparedDocWithIsShowAllLayers:is_show_all_layers:()

- (FSPDFDoc *) GenerateComparedDocWithIsShowAllLayers: |  | (unsigned int) | compare_flags
is_show_all_layers: |  | (BOOL) | is_show_all_layers

Compare the base document with the compared document (which are used to construct current object) and then generate a PDF document as the comparison result.

Comparing the contents of two PDF documents and generating a new PDF document can take a long time.

Parameters

  [in] | compare_flags | Compare type which specifies what to be compared in PDF pages. Please refer to values starting from FSComparisonCompareTypeAll and this can be one or a combination of these values.
  [in] | is_show_all_layers | A boolean value used to decide whether to show all comparison result layers or not. YES means that all comparison result layers are shown by default, while NO means only "Text" and "Images" comparison result layers are shown by default.

Returns
  A FSPDFDoc object which represents the output comparison PDF document.

## ◆ initWithBase_doc:compared_doc:()

- (id) initWithBase_doc: |  | (FSPDFDoc*) | base_doc
compared_doc: |  | (FSPDFDoc*) | compared_doc

Constructor, from PDF document object.

Parameters

  [in] | base_doc | A valid PDF document object as base document.
  [in] | compared_doc | A valid PDF document object as compared document.

Note
  If module "Comparison" is not defined in the license information which is used in function FSLibrary::initialize:key:, that means user has no right in using compare related functions and this constructor will throw exception FSErrNoComparisonModuleRight.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSComparison*) | other |

Constructor, with another comparison object.

Parameters

  [in] | other | Another comparison object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.